# rubychina
**A command-line interface for accessing rubychina session content**

[ASCIIrubychina](http://asciirubychina.com) provides searchable full-text transcripts of rubychina content. `rubychina` builds on its API, [which is documented in the project's README](https://github.com/mattt/asciirubychina.com#README).

> As a CLI aficionado, you should definitely check out [Nomad](http://nomad-cli.com/), a world-class command line utilities for iOS development.

## Installation

```bash
$ gem install rubychina
```

## Usage

```bash

$ rubychina list 


		15664:  回复数量 [40]   "[美国] 大家也可以考虑下国外"
		15690:  回复数量 [0]   "Code Review 和 Refactoring 竟然有了快感，Code Climate 你赢了"
		15681:  回复数量 [25]   "活着的意义"
		15683:  回复数量 [11]   "git 这玩意有必要性升级吗？"
		15689:  回复数量 [0]   "为你的所有敏感账户开启两步验证"
		14960:  回复数量 [6]   "「推荐」Avdi 的新书"
		15393:  回复数量 [84]   "[上海] 百度诚招高级研发工程师 Ruby"
		15512:  回复数量 [18]   "[广州][2013年11月20日] GZRUBY 第 15 聚会 － Mini-Conf"
		15669:  回复数量 [9]   "怎么样打印一下 ruby 的运行栈？"
		15330:  回复数量 [39]   "[广州] BestApp 招聘 Rails 开发者 !"
		15687:  回复数量 [5]   "总结了一下键盘上所有符号的英文说法"
		15688:  回复数量 [0]   "买了个云梯 VPN"
		15661:  回复数量 [17]   "求一份 Ruby 相关的远程兼职"
		15682:  回复数量 [3]   "bootstrap3 modal 弹出框 remote 获取后，消去子元素后，再弹出 remote 加载失败！"
		15679:  回复数量 [14]   "发现 rubychina 一个给力的地方"
		15686:  回复数量 [6]   "Rails4 destroy"
		15444:  回复数量 [13]   "[无锡] 福瑞博德公司招聘 senior Ruby 程序员"
		15665:  回复数量 [43]   "心累了 想跟各位大哥聊聊"
		15631:  回复数量 [53]   "BitCoin  有冲向$1000 的趋势啊 "
		15621:  回复数量 [37]   "一个黑笑话"
		15685:  回复数量 [2]   "能否将每个页面中执行的 SQL、解析时间等输出到页面上？"
		15678:  回复数量 [7]   "一个 class 的意外写法。"
		15662:  回复数量 [4]   "学习 rails 需要学习 javascript 前端知识么？"
		15684:  回复数量 [0]   "刚学了两个多星期的 Ruby，动手写一个简单的有道词典"
		15607:  回复数量 [24]   "Sublime text 离你到底有多远? | 入门贴"
		15657:  回复数量 [3]   "practical object oriented ruby 之后推荐读些什么？"
		15680:  回复数量 [2]   "eventmachine httpserver 没有成功调用到 post_init"
		15102:  回复数量 [18]   "Webrick 源码阅读笔记"
		15412:  回复数量 [22]   "[北京] 酷传招聘 Ruby on Rails 工程师"
		15676:  回复数量 [2]   "MAC 下 rvm install 2.1.0 出错"

$ rubychina info 228

		我拷贝这里面的代码：https://github.com/eventmachine/evma_httpserver

		然后在post_init里面打了一个puts：

		```ruby
		require 'eventmachine'
		require 'evma_httpserver'

		class MyHttpServer < EM::Connection
		  include EM::HttpServer

		  def post_init
		    super
		    no_environment_strings
		    puts "post init"
		  end

		  def process_http_request
		    response = EM::DelegatedHttpResponse.new(self)
		    response.status = 200
		    response.content_type 'text/html'
		    response.content = '<center><h1>Hi there</h1></center>'
		    response.send_response
		  end
		end

		EM.run{
		  EM.start_server '0.0.0.0', 8080, MyHttpServer
		}
		```

		跑起来后，终端没有任何反应，post_init没有被调用到，不知道大家是不是也是这样？
   

$ rubychina open 228

    # Opens browser to Ruby-China Topic 228


```

## Contact

Lin Xiangyu

- http://github.com/oa414
- lxyweb@gmail.com

## Thanks

This project is base on <https://github.com/mattt/wwdc>

## License

rubychina is available under the MIT license. See the LICENSE file for more info.

All content copyright © 2013 Apple Inc. All rights reserved.
