require 'excon'
require 'json'
require "colored"

module RubyChina
  module Helpers
    def get(path)
      response = Excon.get("http://ruby-china.org/api" + path)
      say_error "Error #{response.status}" and abort unless response.status == 200

      yield response if block_given?

      JSON.parse(response.body)
    end

    def describe(topic)
      puts %{\033[1m#{topic['id']}: 回复数量 [#{topic['replies_count']}]  "#{topic['title']}    "\033[0m}.green
      puts topic['body'].yellow
      puts "#" * 20
      topic['replies'].each do |r|
        puts r['user']['login'].red
        puts "\t" * 2  + r['body']
        puts "=" * 20
      end
      puts
    end

    private

    def client
    end
  end
end
